%define offo_version  1.2
Summary:        XSL-driven print formatter
Name:           fop0
Version:        0.95
Release:        %mkrel 13
License:        ASL 2.0
Group:          Development/Java 
Source0:        http://www.apache.org/dist/xmlgraphics/fop/source/fop-%{version}-src.tar.gz
# added new avalon-framework in classpath
Source1:        fop-01.script
Source2:        batik-pdf-MANIFEST.MF
# http://offo.sourceforge.net/hyphenation/old-patterns/licenses.html OSI-approved Open Source license, or Public Domain
Source3:        http://downloads.sourceforge.net/project/offo/offo-hyphenation/%{offo_version}/offo-hyphenation_v%{offo_version}.zip
Patch0:         fop-manifest.patch
Patch1:         fop-main.patch
URL:            http://xmlgraphics.apache.org/fop

Requires:       xmlgraphics-commons >= 1.2
Requires:       avalon-framework >= 4.1.4
Requires:       batik >= 1.7
Requires:       xalan-j2 >= 2.7.0
Requires:       xml-commons-apis >= 1.3.04
Requires:       jakarta-commons-httpclient
Requires:       apache-commons-io >= 1.2
Requires:       jakarta-commons-logging >= 1.0.4
Requires:	java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRequires:  zip
BuildRequires:  ant
BuildRequires:  ant-trax
BuildRequires:  java-devel 
#BuildRequires:  java-1.6.0-openjdk-javadoc
BuildArch:      noarch

%description
FOP is the world's first print formatter driven by XSL formatting
objects. It is a Java application that reads a formatting object tree
and then turns it into a PDF document. The formatting object tree, can
be in the form of an XML document (output by an XSLT engine like XT or
Xalan) or can be passed in memory as a DOM Document or (in the case of
XT) SAX events.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java 

%description    javadoc
Javadoc for %{name}.


%prep
%setup -q -n fop-%{version}
%patch0 -p1
%patch1 -p0
unzip -q %SOURCE3
mv offo-hyphenation/hyph/*.xml hyph

%build
export ANT_HOME=/usr/share/ant
export JAVA_HOME=/usr/lib/jvm/java-openjdk
export CLASSPATH=$CLASSPATH:/usr/share/java/ant/ant-trax-1.7.0.jar
export CLASSPATH=$CLASSPATH:/usr/share/java/xmlgraphics-commons.jar
export CLASSPATH=$CLASSPATH:/usr/share/java/batik-all.jar
export CLASSPATH=$CLASSPATH:/usr/share/java/xml-commons-apis.jar
export CLASSPATH=$CLASSPATH:/usr/share/java/xml-commons-apis-ext.jar
ant clean jar-main transcoder-pkg jar-hyphenation javadocs

%install
rm -rf $RPM_BUILD_ROOT
# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE2} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/%{name}.jar META-INF/MANIFEST.MF

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/fop.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p build/fop-transcoder.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-pdf-transcoder.jar
cp -p build/fop-hyph.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-hyph.jar
pushd $RPM_BUILD_ROOT%{_javadir}
for jar in *-%{version}*
do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
done
popd

# script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# data
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr conf $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%add_to_maven_depmap org.apache.xmlgraphics fop %{version} JPP %{name} %{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%defattr(-,root,root,-)
%doc LICENSE README NOTICE
%{_javadir}/%{name}*.jar
%{_datadir}/%{name}
#%{_javadir}/pdf-transcoder.jar
%{_mavendepmapfragdir}/*
%attr(0755,root,root) %{_bindir}/%{name}


%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.95-13.mga3
+ Revision: 350775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 0.95-12.mga3
+ Revision: 290827
- Change jakarta-commons-io buildrequire into apache-commons-io

* Wed Oct 26 2011 gil <gil> 0.95-11.mga2
+ Revision: 158352
- imported package fop0

